<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <script src="../../../../../clover.js" type="text/javascript"></script>
  <script src="../../../../../sorttable.js" type="text/javascript"></script>

  <style type="text/css" media="screen">
      @import url('../../../../../style.css');
      @import url('../../../../../roundedcorners.css');
  </style>
<title> HttpCore NIO 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div class="titleText">
      <a href="pkg-summary.html" target="classPane" title="org.apache.http.nio.protocol">org.apache.http.nio.protocol</a>
    </div>
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  active ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">TestBasicAsyncRequestConsumer</span>
            <a class="classlist" target="classPane" href="TestBasicAsyncRequestConsumer.html#TestBasicAsyncRequestConsumer" title="org.apache.http.nio.protocol.TestBasicAsyncRequestConsumer">TestBasicAsyncRequestConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncRequestExecutionHandler</span>
            <a class="classlist" target="classPane" href="TestBasicAsyncRequestExecutionHandler.html#TestBasicAsyncRequestExecutionHandler" title="org.apache.http.nio.protocol.TestBasicAsyncRequestExecutionHandler">TestBasicAsyncRequestExecutionHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9299363</span>
        <i>(93%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncRequestHandler</span>
            <a class="classlist" target="classPane" href="TestBasicAsyncRequestHandler.html#TestBasicAsyncRequestHandler" title="org.apache.http.nio.protocol.TestBasicAsyncRequestHandler">TestBasicAsyncRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95454544</span>
        <i>(95.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncRequestProducer</span>
            <a class="classlist" target="classPane" href="TestBasicAsyncRequestProducer.html#TestBasicAsyncRequestProducer" title="org.apache.http.nio.protocol.TestBasicAsyncRequestProducer">TestBasicAsyncRequestProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncResponseConsumer</span>
            <a class="classlist" target="classPane" href="TestBasicAsyncResponseConsumer.html#TestBasicAsyncResponseConsumer" title="org.apache.http.nio.protocol.TestBasicAsyncResponseConsumer">TestBasicAsyncResponseConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestBasicAsyncResponseProducer</span>
            <a class="classlist" target="classPane" href="TestBasicAsyncResponseProducer.html#TestBasicAsyncResponseProducer" title="org.apache.http.nio.protocol.TestBasicAsyncResponseProducer">TestBasicAsyncResponseProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestErrorResponseProducer</span>
            <a class="classlist" target="classPane" href="TestErrorResponseProducer.html#TestErrorResponseProducer" title="org.apache.http.nio.protocol.TestErrorResponseProducer">TestErrorResponseProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncRequestExecutor</span>
            <a class="classlist" target="classPane" href="TestHttpAsyncRequestExecutor.html#TestHttpAsyncRequestExecutor" title="org.apache.http.nio.protocol.TestHttpAsyncRequestExecutor">TestHttpAsyncRequestExecutor</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncRequester</span>
            <a class="classlist" target="classPane" href="TestHttpAsyncRequester.html#TestHttpAsyncRequester" title="org.apache.http.nio.protocol.TestHttpAsyncRequester">TestHttpAsyncRequester</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9503106</span>
        <i>(95%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">TestHttpAsyncService</span>
            <a class="classlist" target="classPane" href="TestHttpAsyncService.html#TestHttpAsyncService" title="org.apache.http.nio.protocol.TestHttpAsyncService">TestHttpAsyncService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98686373</span>
        <i>(98.7%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>